<?php 
/* SVN FILE: $Id$ */
/* CharacterPicture Test cases generated on: 2010-03-02 22:50:50 : 1267537850*/
App::import('Model', 'CharacterPicture');

class CharacterPictureTestCase extends CakeTestCase {
	var $CharacterPicture = null;
	var $fixtures = array('app.character_picture', 'app.user', 'app.character', 'app.attachment');

	function startTest() {
		$this->CharacterPicture =& ClassRegistry::init('CharacterPicture');
	}

	function testCharacterPictureInstance() {
		$this->assertTrue(is_a($this->CharacterPicture, 'CharacterPicture'));
	}

	function testCharacterPictureFind() {
		$this->CharacterPicture->recursive = -1;
		$results = $this->CharacterPicture->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('CharacterPicture' => array(
			'id'  => 1,
			'user_id'  => 1,
			'character_id'  => 1,
			'main_picture'  => 1,
			'full_length'  => 1,
			'created'  => '2010-03-02 22:50:50',
			'modified'  => '2010-03-02 22:50:50'
		));
		$this->assertEqual($results, $expected);
	}
}
?>